#ifndef __OSCOutput_h__
#define __OSCOutput_h__


#include <string.h>
#include <stdio.h>
#include "oscpack/osc/OscOutboundPacketStream.h"
#include "oscpack/ip/UdpSocket.h"


#define OSC_STD_ADDRESS "127.0.0.1"
#define OSC_STD_PORT 7200


#define OSC_OUTPUT_BUFFER_SIZE 512

class MyOSC {

public:

	char m_addressString[128]; // no time... [:

UdpTransmitSocket *m_transmitSocket;

MyOSC(const char *address=OSC_STD_ADDRESS, int port=OSC_STD_PORT);
virtual ~MyOSC();

void SendValue(char *param_name, float param_value);

void GetAddressString(char *dst)
{
	strcpy(dst, m_addressString);
}



};


#endif